### Name: condmap
### Title: Produces a conditional 2D map from a fitted max-stable process
### Aliases: condmap
### Keywords: hplot

### ** Examples

## Not run: 
##D ##Define the coordinate of each location
##D n.site <- 30
##D locations <- matrix(runif(2*n.site, 0, 10), ncol = 2)
##D colnames(locations) <- c("lon", "lat")
##D 
##D ##Simulate a max-stable process - with unit Frechet margins
##D data <- rmaxstab(50, locations, cov.mod = "gauss", cov11 = 4, cov12 =
##D 1, cov22 = 3)
##D 
##D ##Now define the spatial model for the GEV parameters
##D param.loc <- -10 - 4 * locations[,1] + locations[,2]^2
##D param.scale <- 5 + locations[,1] + locations[,2]^2 / 10
##D param.shape <- rep(.2, n.site)
##D 
##D ##Transform the unit Frechet margins to GEV 
##D for (i in 1:n.site)
##D   data[,i] <- frech2gev(data[,i], param.loc[i], param.scale[i],
##D param.shape[i])
##D 
##D ##Define a model for the GEV margins to be fitted
##D ##shape ~ 1 stands for the GEV shape parameter is constant
##D ##over the region
##D loc.form <- loc ~ lon + I(lat^2)
##D scale.form <- scale ~ lon + I(lat^2)
##D shape.form <- shape ~ lat + lon
##D 
##D ##  1- Fit a max-stable process
##D fitted <- fitmaxstab(data, locations, "gauss", loc.form, scale.form,
##D                      shape.form, std.err.type = "none")
##D 
##D condmap(fitted, c(1, 1), seq(0, 10, length = 25), seq(0,10, length =
##D 25))
## End(Not run)



