### Name: rmaxstab
### Title: Simulation of Max-Stable Random Fields
### Aliases: rmaxstab
### Keywords: distribution

### ** Examples

## 1. Smith's model
set.seed(8)
x <- seq(0, 10, length = 200)
coord <- cbind(x, x)
data <- rmaxstab(1, coord, cov11 = 9/8, cov12 = 0, cov22 = 9/8, grid = TRUE)
##We change the margins for visibility
filled.contour(x, x, sqrt(data[,,1]))

## 2. Schlather's model
coord <- matrix(runif(100, 0, 15), ncol = 2)
data <- rmaxstab(100, coord, cov.mod = "whitmat", sill = 1, range = 10,
smooth = 1)



